Bug 990260 - [abrt] PackageKit-yum-0.8.9-6.fc19: yumBackend.py:3587:<module>:AttributeError: class PackageKitYumBackend has no attribute 'rebootpkgs'
[abrt] PackageKit-yum-0.8.9-6.fc19: yumBackend.py:3587:<module>:AttributeErro...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:7cecec2715e1cf1370a02da33cd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 13:38 EDT by cuidighth
Modified: 2014-03-11 10:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 05:04:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (18.22 KB, text/plain)
2013-07-30 13:38 EDT, cuidighth
no flags Details
File: environ (79 bytes, text/plain)
2013-07-30 13:38 EDT, cuidighth
no flags Details

  None (edit)
Description cuidighth 2013-07-30 13:38:29 EDT
Description of problem:
I have really no idea. It just started happening, 60 times a few times per hour.

Version-Release number of selected component:
PackageKit-yum-0.8.9-6.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/share/PackageKit/helpers/yum/yumBackend.py get-updates none
core_backtrace: c63ffb05b2ed8073c4afe1211484bd56ccdaf20c 0xe03 <module> /usr/share/PackageKit/helpers/yum/yumBackend.py -
executable:     /usr/share/PackageKit/helpers/yum/yumBackend.py
kernel:         3.9.6-301.fc19.x86_64
runlevel:       N 5
uid:            0
Comment 1 cuidighth 2013-07-30 13:38:34 EDT
Created attachment 780772 [details]
File: backtrace
Comment 2 cuidighth 2013-07-30 13:38:37 EDT
Created attachment 780773 [details]
File: environ
Comment 3 cuidighth 2013-08-20 14:58:30 EDT
I have now had ~1000 of these, constant popup whining about the issue. :(

Rhughes, you have any workaround or fix?
Comment 4 cuidighth 2013-08-24 05:04:10 EDT
This is not Fedora bug. See my /usr/share/PackageKit/helpers/yum/yumBackend.py:

if __name__ == "__main__":
    PackageKitYumBackend.rebootpkgs = tuple(p for p in PackageKitYumBackend.rebootpkgs if not p.startswith("kernel"))
    main()

KSplice adds that line, and it apparently causes the problems. I'm documenting it here for others.

Note You need to log in before you can comment on or make changes to this bug.